Private
Server IP : 195.201.23.43  /  Your IP : 18.222.184.40
Web Server : Apache
System : Linux webserver2.vercom.be 5.4.0-192-generic #212-Ubuntu SMP Fri Jul 5 09:47:39 UTC 2024 x86_64
User : kdecoratie ( 1041)
PHP Version : 7.1.33-63+ubuntu20.04.1+deb.sury.org+1
Disable Function : pcntl_alarm,pcntl_fork,pcntl_waitpid,pcntl_wait,pcntl_wifexited,pcntl_wifstopped,pcntl_wifsignaled,pcntl_wifcontinued,pcntl_wexitstatus,pcntl_wtermsig,pcntl_wstopsig,pcntl_signal,pcntl_signal_get_handler,pcntl_signal_dispatch,pcntl_get_last_error,pcntl_strerror,pcntl_sigprocmask,pcntl_sigwaitinfo,pcntl_sigtimedwait,pcntl_exec,pcntl_getpriority,pcntl_setpriority,pcntl_async_signals,
MySQL : OFF  |  cURL : ON  |  WGET : ON  |  Perl : ON  |  Python : OFF  |  Sudo : ON  |  Pkexec : ON
Directory :  /proc/self/root/var/lib/dpkg/info/

Upload File :
current_dir [ Writeable ] document_root [ Writeable ]

 

Command :


[ HOME SHELL ]     

Current File : /proc/self/root/var/lib/dpkg/info/mssql-tools.config
#!/bin/bash -e

# Source debconf library.
. /usr/share/debconf/confmodule

db_version 2.0
db_capb backup

# Ask user for input. This is turned off with $noprompt in case
# we determine that user is specifying parameters via environment
# variables.
#
opt_db_input ()
{
  if [ "$noprompt" == "0" ]; then
    db_input $* || true
    db_go
    status=$?

    if [ $status -eq 30 ]; then
      echo "Installation aborted by user."
      exit 30
    fi
  fi
}

noprompt="0"

# If user specifies one or more configuration options via environment
# variables, don't prompt at all. If not all variables are presented,
# we will error out.
#
if [ ! -z "$ACCEPT_EULA" ]; then
  noprompt="1"
fi

# EULA acceptance
#
db_get mssql-tools/accept_eula

if [ "$RET" != "y" ] && [ "$RET" != "Y" ]; then
    if [ -z "$ACCEPT_EULA" ]; then
        opt_db_input high mssql-tools/accept_eula
    else
        db_set mssql-tools/accept_eula "$ACCEPT_EULA" || true
    fi

    db_get mssql-tools/accept_eula

    if [ "$RET" == "true" ]; then
        db_set mssql-tools/accept_eula "Y" || true
        RET=Y
    fi

    if [ "$RET" != "y" ] && [ "$RET" != "Y" ]; then
        db_fset mssql-tools/accept_eula seen false
        echo "ERROR: The EULA was not accepted. Installation aborted."
        exit 1
    fi
fi

Private